# Shortkey

Shortkey는 효율적인 단축키 관리와 사용을 위해 설계된 파이썬 모듈입니다. 사용자는 이 모듈을 통해 키보드 단축키를 쉽게 설정하고 관리할 수 있으며, 필요에 따라 기본 모드와 UI 모드 중에서 선택하여 사용할 수 있습니다.

## 시작하기

Shortkey 모듈을 사용하기 전에 시스템에 파이썬이 설치되어 있어야 합니다. 파이썬이 아직 설치되지 않았다면, [파이썬 공식 웹사이트](https://www.python.org/downloads/)에서 설치할 수 있습니다.

### 설치 방법

터미널이나 명령 프롬프트를 열고 다음 명령어를 입력하여 Shortkey 모듈을 설치합니다.

```bash
pip install shortkey
````

# 사용 방법

Shortkey 모듈은 두 가지 모드로 실행할 수 있습니다: 기본 모드와 UI 모드.

- **기본 모드**: UI 없이 터미널에서 직접 단축키 기능을 사용하려면, 다음과 같이 `shortkey` 명령어를 입력하세요.

  ```bash
  shortkey
  ```

- **UI 모드**: 단축키 설정과 관리를 위한 그래픽 사용자 인터페이스를 사용하려면, 다음과 같이 `shortkeyui` 명령어를 입력하세요.

  ```bash
  shortkeyui
  ```

## 기능

Shortkey 모듈은 다음과 같은 주요 기능을 제공합니다:

- 단축키 설정 및 관리
- 사용자 정의 단축키 지원
- UI 모드에서 직관적인 단축키 설정
- 다양한 운영체제에서의 호환성

## 기여하기

Shortkey는 오픈 소스 프로젝트입니다. 기여를 원하시는 분은 프로젝트의 [GitHub 저장소](https://github.com/yourusername/shortkey)를 방문하여 이슈를 등록하거나 Pull Request를 보내주세요.

## 라이선스

이 프로젝트는 MIT 라이선스에 따라 배포됩니다. 자세한 내용은 `LICENSE` 파일을 참조하세요.

## 문의하기

Shortkey 모듈에 대한 질문이나 제안사항이 있으시면, [이슈 트래커](https://github.com/yourusername/shortkey/issues)를 통해 문의해주세요.

